Package Details: minted 2.4-1

Git Clone URL: https://aur.archlinux.org/minted.git (read-only)
Package Base: minted
Description: Highlighted source code for LaTeX.
Upstream URL: https://github.com/gpoore/minted
Licenses: LPPL
Submitter: neo1973
Maintainer: xyproto
Last Packager: neo1973
Votes: 33
Popularity: 0.927599
First Submitted: 2011-11-17 17:51
Last Updated: 2016-08-15 05:14

Required by (0)

Sources (2)

Latest Comments

xyproto commented on 2016-08-24 18:46

Thanks, will move it over soon!

neo1973 commented on 2016-08-22 16:49

Done. I'm happy the package moves to [community] :)

xyproto commented on 2016-08-22 08:19

Hi, would you mind if I adopted and moved this package to [community], making it an official package?

winlu commented on 2015-05-18 13:30

hey,

just did a fresh install of this in a vm. it seems minted calls the pygmentize <https://www.archlinux.org/packages/community/any/pygmentize/> application during building. You might want to add that as a dependency as well as it seems to have been broken out of the normal pygments package to be not python version specific.

winlu commented on 2015-05-18 13:27

hey,

just did a fresh install of this in a vm. it seems minted calls the pygmentize <https://www.archlinux.org/packages/community/any/pygmentize/> application during building. You might want to add that as a dependency as well.

neo1973 commented on 2015-02-10 10:06

Thanks for the help robotanarchy!

robotanarchy commented on 2015-02-10 09:42

v2.0 is out! I've adjusted the pkgbuild and added $pkgver at some more places for easier updating in the future:


# Maintainer: Markus Härer <markus.haerer@gmx.net>
# Contributor: robotanarchy

pkgname=minted
pkgver=2.0
pkgrel=1
pkgdesc="Highlighted source code for LaTeX."
url="https://github.com/gpoore/${pkgname}"
arch=('any')
license=('LPPL')
depends=('texlive-latexextra' 'python2-pygments')
source=("https://github.com/gpoore/minted/archive/v${pkgver}.tar.gz"
"minted.install")
install=minted.install
md5sums=('1716f44432f79eab08f9e465e8ddbb83'
'a573ca786bc416e905171f49abf3ba46')

build() {
cd ${srcdir}/minted-${pkgver}/source
tex minted.ins
}

package() {
mkdir -p ${pkgdir}/usr/share/texmf/tex/latex/${pkgname}
mkdir -p ${pkgdir}/usr/share/doc/${pkgname}
install -Dm644 ${srcdir}/minted-${pkgver}/source/minted.sty ${pkgdir}/usr/share/texmf/tex/latex/${pkgname}
install -Dm644 ${srcdir}/minted-${pkgver}/source/minted.pdf ${pkgdir}/usr/share/doc/${pkgname}
}

neo1973 commented on 2014-08-12 08:08

You are right shemz. I updated the package accordingly.

shemz commented on 2014-06-30 16:11

pygmentize is provided by python2-pygments. So why is python-pygments a dependency? I verified that minted works just fine without python3.

Also texlive-latexextra should be added as a dependency as it provides ifplatform package.

neo1973 commented on 2014-06-03 16:29

Thank you for letting me know :)

All comments